package cn.ey.biz.module.system.convert.permission;

import cn.ey.biz.module.system.api.permission.dto.MenuDTO;
import cn.ey.biz.module.system.controller.admin.permission.vo.menu.MenuCreateReqVO;
import cn.ey.biz.module.system.controller.admin.permission.vo.menu.MenuRespVO;
import cn.ey.biz.module.system.controller.admin.permission.vo.menu.MenuSimpleRespVO;
import cn.ey.biz.module.system.controller.admin.permission.vo.menu.MenuUpdateReqVO;
import cn.ey.biz.module.system.dal.dataobject.permission.MenuDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface MenuConvert {

    MenuConvert INSTANCE = Mappers.getMapper(MenuConvert.class);

    List<MenuRespVO> convertList(List<MenuDO> list);

    MenuDO convert(MenuCreateReqVO bean);

    MenuDO convert(MenuUpdateReqVO bean);

    MenuRespVO convert(MenuDO bean);

    MenuCreateReqVO convert(MenuDTO bean);

    List<MenuSimpleRespVO> convertList02(List<MenuDO> list);

    MenuDO dtoDo(MenuDTO dto);

}
